com.google.web.bindery.requestfactory.apt

## Class ExtraTypesScanner<T>

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,P>
  - - javax.lang.model.util.ElementScanner6<R,State>
    - - com.google.web.bindery.requestfactory.apt.ScannerBase<T>
      - - com.google.web.bindery.requestfactory.apt.ExtraTypesScanner<T>

All Implemented Interfaces:
  javax.lang.model.element.ElementVisitor<T,State>

Direct Known Subclasses:
  ReferredTypesCollector

    abstract class ExtraTypesScanner<T>
    extends ScannerBase<T>

Looks for `ExtraTypes` annotations and calls `scanExtraType(TypeElement)`.

### Field Summary

### Fields inherited from class javax.lang.model.util.ElementScanner6

`DEFAULT_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`ExtraTypesScanner()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `checkForAnnotation(javax.lang.model.element.Element x, State state)` Check an element for a declaration.
`protected void` `checkForAnnotation(javax.lang.model.element.TypeElement x, State state)` Check a type and all of its supertypes for the annotation.
`protected abstract void` `scanExtraType(javax.lang.model.element.TypeElement extraType)`

### Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase

`isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, shouldIgnore, viewIn`

### Methods inherited from class javax.lang.model.util.ElementScanner6

`scan, scan, visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

`visit, visit, visitUnknown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtraTypesScanner

    ExtraTypesScanner()

### Method Detail

#### checkForAnnotation

    protected void checkForAnnotation(javax.lang.model.element.Element x,
                                      State state)

Check an element for a declaration.

#### checkForAnnotation

    protected void checkForAnnotation(javax.lang.model.element.TypeElement x,
                                      State state)

Check a type and all of its supertypes for the annotation.

#### scanExtraType

    protected abstract void scanExtraType(javax.lang.model.element.TypeElement extraType)